Summary:   Intel P6 CPU Microcode Utility
Name:      microcode_ctl
Version: 1.17
Release:   %mkrel 7
Group:     System/Kernel and hardware
License:   GPL
Url:       http://www.urbanmyth.org/microcode/
Source:    http://www.urbanmyth.org/microcode/%name-%version.tar.bz2
Source1:   microcode_ctl
# http://downloadcenter.intel.com/filter_results.aspx?strTypes=all&ProductID=528&OSFullName=Linux*&lang=eng&strOSs=39&submit=Go%21
Source2: microcode-20080220.dat
Patch1:    microcode_ctl-build.diff
Buildroot: %_tmppath/%name-%version-buildroot
ExclusiveArch: %ix86 x86_64

%description
Since PentiumPro, Intel CPU are made of a RISC chip and of a microcode whose
purpose is to decompose "old" ia32 instruction into new risc ones.
P6 familly is concerned: PPro, PII, Celeron, PIII, Celeron2.
Recent kernels have the ability to update this microcode.

The microcode update is volatile and needs to be uploaded on each system
boot. I.e. it doesn't reflash your cpu permanently.
Reboot and it reverts back to the old microcode.

Updated microcodes are avaible on http://downloadcenter.intel.com/default.aspx

%prep
%setup -q
%patch1 -p0

%build
make

%install
%makeinstall DESTDIR=$RPM_BUILD_ROOT PREFIX=%_prefix MANDIR=%_mandir/man8
mkdir -p $RPM_BUILD_ROOT/%_initrddir
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/%_initrddir
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/%{_sysconfdir}/microcode.dat
rm -f %buildroot%_sysconfdir/init.d/microcode_ctl

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_sbindir/microcode_ctl
%_mandir/man8/*
%config(noreplace) %{_sysconfdir}/microcode.dat
%config(noreplace) %_initrddir/%name

%post
/sbin/chkconfig --add %{name}
	
%preun
[[ "$1" = "0" ]] && /sbin/chkconfig --del %name || :


%changelog
* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.17-7mdv2010.0
+ Revision: 439801
- rebuild

* Mon Jan 19 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.17-6mdv2009.1
+ Revision: 331275
- Updated microcodes are avaible on http://downloadcenter.intel.com/default.aspx

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.17-5mdv2009.0
+ Revision: 252418
- rebuild

* Wed Mar 12 2008 Götz Waschk <waschk@mandriva.org> 1.17-3mdv2008.1
+ Revision: 187077
- build on x86_64 as well (bug #38821)
- fix buildrequires

* Wed Mar 12 2008 Götz Waschk <waschk@mandriva.org> 1.17-2mdv2008.1
+ Revision: 187056
- update to the latest microcode release from intel

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.17-1mdv2008.1
+ Revision: 136579
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 29 2007 Götz Waschk <waschk@mandriva.org> 1.17-1mdv2008.0
+ Revision: 45858
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - Import microcode_ctl



* Fri Jun 30 2006 Götz Waschk <waschk@mandriva.org> 1.14-1mdk
- New release 1.14

* Thu Mar 02 2006 Götz Waschk <waschk@mandriva.org> 1.13-1mdk
- New release 1.13

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 1.12-4mdk
- convert parallel init to LSB

* Sat Dec 31 2005 Gtz Waschk <waschk@mandriva.org> 1.12-3mdk
- fix error on preun

* Sat Dec 31 2005 Gtz Waschk <waschk@mandriva.org> 1.12-2mdk
- first try of parallel init

* Tue Sep 13 2005 Gtz Waschk <waschk@mandriva.org> 1.12-1mdk
- new version

* Thu Aug 11 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.11-3mdk
- drop devfs support
- drop udev rule, udev is already aware of it

* Thu Nov 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.11-2mdk
- source 1: fix init script (Eric Pielbug, #12286)

* Wed Nov 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.11-1mdk
- new release

* Tue Oct 26 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.10-1mdk
- New release 1.10

* Fri Sep 10 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.09-1mdk
- New release 1.09

* Mon Sep  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.08-2mdk
- add udev support, fixes bug #11204

* Thu Aug 12 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.08-1mdk
- New release 1.08

* Tue Jun 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.06-10mdk
- fix typo in description (Eskild Hustvedt)

* Tue Jun 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.06-9mdk
- fix microcode update on 2.6.x with devfs (anthill #897)

* Thu Oct  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.06-8mdk
- spec fixes
- it's x86-only

* Fri Apr 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.06-7mdk
- fix buildrequires (thanks to the bot from Stefan van der Eijk)

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.06-6mdk
- fix build

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.06-5mdk
- more macros use
- simplify %%preun

* Mon Feb 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.06-4mdk
- fix init script, thanks to DUCLOS Andre <shirka@wanadoo.fr>

* Mon Feb 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.06-3mdk
- update init script, load microcode module for devfs users

* Fri Oct 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.06-2mdk
- happy birthday, mister rpmlint

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.06-1mdk
- updated to 1.06

* Thu Mar 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.04-1mdk
- new version

* Wed Feb 28 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.03-1mdk
- Initial RPM
